SoGLVertexAttributeElement(3)

NAME
SoGLVertexAttributeElement - The SoGLVertexAttributeElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoGLVertexAttributeElement.h>

Inherits SoVertexAttributeElement.

  Public Member Functions
virtual void init (SoState *state)
void enableVBO (SoGLRenderAction *action) const
FIXME: write doc.
void disableVBO (SoGLRenderAction *action) const
FIXME: write doc.
void send (const int index) const
FIXME: write doc.

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static const SoGLVertexAttributeElement * getInstance (SoState *const state)

  Protected Member Functions
virtual ~SoGLVertexAttributeElement ()
virtual void addElt (SoVertexAttributeData *attribdata)
FIXME: write doc.

  Additional Inherited Members

Detailed Description

The SoGLVertexAttributeElement class is yet to be documented. FIXME: write doc.

Constructor & Destructor Documentation

  SoGLVertexAttributeElement::~SoGLVertexAttributeElement () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoGLVertexAttributeElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoGLVertexAttributeElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoGLVertexAttributeElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoGLVertexAttributeElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoGLVertexAttributeElement::init (SoState * state) [virtual]
Internal Coin method.

Reimplemented from SoVertexAttributeElement.

  const SoGLVertexAttributeElement * SoGLVertexAttributeElement::getInstance (SoState *const state) [static]
Returns a read-only element instance.

  void SoGLVertexAttributeElement::addElt (SoVertexAttributeData * attribdata) [protected], [virtual]

FIXME: write doc.

Reimplemented from SoVertexAttributeElement.

Author

Generated automatically by Doxygen for Coin from the source code.